openapi: 3.0.1
info:
  title: Credits API
  description: ""
  version: "1.0"
servers:
  - url: https://apigw.ipxo.com/credits
paths:
  /public/{user_id}/balances:
    get:
      tags:
        - Balance
      summary: Show Balance
      description: Show customer Balance
      operationId: showBalance
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
        - name: filter[currency]
          in: query
          description: ""
          schema:
            type: string
            description: ""
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      available_balance:
                        type: number
                      total_balance:
                        type: number
                      currency:
                        type: string
                      updated_at:
                        type: string
      x-ipxo-slug: showbalance
      x-ipxo-group: Credits
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
tags:
  - name: Balance
    description: ""
security:
  - bearerAuth: []
